Multivariate Pattern Analysis in Python

# mvpa2.datasets.base.mask_mapper

`mvpa2.datasets.base.``mask_mapper`(mask=None, shape=None, space=None)

  Factory method to create a chain of Flatten+StaticFeatureSelection Mappers

  Parameters:

  mask : None or array

  > an array in the original dataspace and its nonzero elements are used to define the features included in the dataset. Alternatively, the `shape` argument can be used to define the array dimensions.

  shape : None or tuple

  > The shape of the array to be mapped. If `shape` is provided instead of `mask`, a full mask (all True) of the desired shape is constructed. If `shape` is specified in addition to `mask`, the provided mask is extended to have the same number of dimensions.

  inspace

  > Provided to `FlattenMapper`